Global firewall service 2 matching interfaces
Assemble dashboard data composeFirewallGlobalBoard
POST /FirewallService/composeFirewallGlobalBoard
Definition file service_firewall.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc composeFirewallGlobalBoard ( ComposeFirewallGlobalBoardRequest ) returns ( ComposeFirewallGlobalBoardResponse );
Request message ComposeFirewallGlobalBoardRequestAssemble dashboard data
Request message · Field definitions Copy codemessage ComposeFirewallGlobalBoardRequest {
}
Response message ComposeFirewallGlobalBoardResponse Response message · Field definitions Copy codemessage ComposeFirewallGlobalBoardResponse {
int64 countDailyLogs = 1 ;
int64 countDailyBlocks = 2 ;
int64 countDailyCaptcha = 3 ;
int64 countWeeklyBlocks = 4 ;
repeated HTTPFirewallRuleGroupStat httpFirewallRuleGroups = 30 ;
repeated DailyStat dailyStats = 31 ;
repeated HourlyStat hourlyStats = 32 ;
repeated NodeStat topNodeStats = 33 ;
repeated DomainStat topDomainStats = 34 ;
repeated CountryStat topCountryStats = 35 ;
message HTTPFirewallRuleGroupStat {
HTTPFirewallRuleGroup httpFirewallRuleGroup = 1 ;
int64 count = 2 ;
}
message HourlyStat {
string hour = 1 ;
int64 countLogs = 2 ;
int64 countCaptcha = 3 ;
int64 countBlocks = 4 ;
}
message DailyStat {
string day = 1 ;
int64 countLogs = 2 ;
int64 countCaptcha = 3 ;
int64 countBlocks = 4 ;
}
message NodeStat {
int64 nodeId = 1 ;
string nodeName = 2 ;
int64 countRequests = 3 ;
int64 bytes = 4 ;
int64 countAttackRequests = 6 ;
int64 attackBytes = 7 ;
}
message DomainStat {
int64 serverId = 1 ;
string domain = 2 ;
int64 countRequests = 3 ;
int64 bytes = 4 ;
int64 countAttackRequests = 6 ;
int64 attackBytes = 7 ;
}
message CountryStat {
string countryName = 1 ;
int64 bytes = 2 ;
int64 countRequests = 3 ;
float percent = 4 ; // Traffic share
int64 countAttackRequests = 6 ;
int64 attackBytes = 7 ;
}
}